//---------------------------------------------------------------------------

#include <vcl.h>
#include <stdio.h>
#include <process.h>
#include <time.h>
#include <io.h>
#include <dir.h>
#include <errno.h>
#include <fcntl.h>
#include <Clipbrd.hpp>
#include <sys\stat.h>
#include <math.h>
#pragma hdrstop


#include "AboutProg.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TAboutProgForm *AboutProgForm;
static AnsiString Month[12]={"января","февраля","марта","апреля","мая","июня","июля","августа","сентября","октября","ноября","декабря"};
//---------------------------------------------------------------------------
__fastcall TAboutProgForm::TAboutProgForm(TComponent* Owner)
	: TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TAboutProgForm::FormShow(TObject *Sender)
{
	 char stroka[120];


	 GetVersion(stroka);
		 // напечатать дату
	 Label_Prog->Caption = AnsiString(stroka);


}
//---------------------------------------------------------------------------
//
void __fastcall TAboutProgForm::GetVersion(char *stroka) {
	 struct ftime ft;
	 FILE *file_;
	 char min[4];

	 if ((file_ = fopen("SteelSectionsApp_v4.1.exe", "r")) != NULL)  {
	   // установить дату exe-файла
	   getftime(fileno(file_), &ft);
	   if (ft.ft_min <10)
         sprintf(min, "0%d",ft.ft_min);
	   else
         sprintf(min, "%d",ft.ft_min);
	   sprintf(stroka, "Версия 4.1 от %d %s %d г, %d:%s ",
		  ft.ft_day, Month[ft.ft_month-1].c_str(),
          ft.ft_year+1980,
          ft.ft_hour, min
       );
	 }
     else {
		stroka[0]='\0';
	 }

}
void __fastcall TAboutProgForm::Label5Click(TObject *Sender)
{
	ShellExecute(Handle, (LPCTSTR)"open", (LPCTSTR)"https://steel-development.ru/ru/for-designers/inzhenernye-programmy", 0, 0, SW_SHOWNORMAL);
}
//---------------------------------------------------------------------------

//---------------------------------------------------------------------------

void __fastcall TAboutProgForm::Label_authorClick(TObject *Sender)
{
	//Edit1->CopyToClipboard();
	ShellExecute(Handle, (LPCTSTR)"open", (LPCTSTR)"mailto:rychkovsp2008@mail.ru", 0, 0, SW_SHOWNORMAL);

}
//---------------------------------------------------------------------------


void __fastcall TAboutProgForm::Label6Click(TObject *Sender)
{
	ShellExecute(Handle, (LPCTSTR)"open", (LPCTSTR)"mailto:info@steel-development.ru", 0, 0, SW_SHOWNORMAL);

}
//---------------------------------------------------------------------------

